Bug 1024344 - KDE desktop freezes when opening ibus setup tool
KDE desktop freezes when opening ibus setup tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 08:52 EDT by Mike FABIAN
Modified: 2015-04-21 03:25 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 03:25:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike FABIAN 2013-10-29 08:52:24 EDT
I installed Fedora 20 Beta TC6 in qemu:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 4 -drive file=./Fedora-20-Beta-TC6-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-20-Beta-TC6-x86_64-netinst.iso.qcow2-output.log -name Fedora-20-Beta-TC6-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-TC6/Fedora-20-Beta-TC6-x86_64-netinst.iso -boot c -spice port=6000,disable-ticketing -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-20-Beta-TC6-x86_64-netinst.iso.qcow2,hostfwd=tcp::5556-:22 -monitor stdio -usb

- Japanese default installation (should not matter, I think)
- After the installation finished and logging into Gnome
  I installed KDE as well with
  “sudo yum groupinstall kde-desktop-environment”
- Log out of gnome
- Log into KDE
- There is an ibus icon visible in the panel
- Clicking it with the left mouse shows input methods,
  ibus-kkc (日本語 - Kana Kanji) and ibus-anthy (日本語 - Anthy)
  and a keyboard layout (英語 - English (US)

  (Side note: Why Anthy is there I don’t know. I didn’t add it,
  it was already there. The ibus-anthy package is installed, I
  installed that manually before when testing on Gnome).

- Click with the right mouse button on the ibus icon pops up
  the menu:

  設定 (P)                     <- this means "Setup"
  このアプリケーションについて(A)
  -------------------------
  再起動
  終了(Q)

- Click on 設定 (Setup)
- The desktop may freeze already now
- If the desktop does not yet freeze, the setup tool window of ibus
  opens.
- Most likely the desktop will freeze now.
- If it still does not freeze, click the
  インプットメソッド (= Input Method) tab
- Check the checkbox in front of
  アクティブなインプットメソッドをカタマイズする(M)
  (= Customize active input method)
- Open combobox
  インプットメソッドの選択
  (*Very* rare to get that far, usually it freezes much earlier)
- The item at the bottom of that combobox is
  すべてのインプットメソッドを表示する (= “Show all input methods”)
  Click that.
- If you are very lucky and it still doesn’t freeze,
  click the combobox again and try to add some additional
  input method.


Result:

Usually the desktop freezes very early in that procedure.
With “freezes” I mean that I can only see the mouse cursor moving,
but that’s it, it is not possible to do anything else anymore
(close windows, move windows, focus windows, type, nothing works).
Comment 1 Mike FABIAN 2013-10-29 08:56:49 EDT
Freezing the desktop is also possible like this:

- Click with the left mouse button on the ibus icon and select
  ibus-kkc (日本語 - Kana Kanji)
- (optionally type some Japanese somewhere, this actually works ...)
- Click the ibus icon again with the left mouse and select
  設定 (= Setup), the setup tool of ibus-kkc.
- Setup tool opens, desktop always freezed immediately for me,
  I could not get any further in the setup tool.
Comment 2 Mike FABIAN 2013-10-29 09:07:45 EDT
I could reproduce the same problem with Fedora-Live-KDE-x86_64-20-Beta-TC6.iso
in qemu:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 4 -drive file=./Fedora-Live-KDE-x86_64-20-Beta-TC6.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-Live-KDE-x86_64-20-Beta-TC6.iso.qcow2-output.log -name Fedora-Live-KDE-x86_64-20-Beta-TC6.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-TC6/Fedora-Live-KDE-x86_64-20-Beta-TC6.iso -boot c -spice port=6001,disable-ticketing -vga qxl -display vnc=:5 -net nic -net user,hostname=Fedora-Live-KDE-x86_64-20-Beta-TC6.iso.qcow2,hostfwd=tcp::5557-:22 -monitor stdio -usb

After the desktop started, I installed ibus-kkc with

    “sudo yum install ibus-kkc”

Then restarted ibus with

    “ibus restart”

Then tried to open the  setup tool of ibus to add ibus-kkc
to the list of input methods

-> desktop freezes.
Comment 3 Mike FABIAN 2013-10-29 11:59:49 EDT
Could I give more information to help here? Log files? Which ones?
Comment 4 Mike FABIAN 2013-10-30 10:51:59 EDT
I tried the same on a Lenovo T500 which I upgraded using fedup from f19
to f20, I could *not* reproduce the problem there.
Comment 5 Mike FABIAN 2013-11-01 07:33:38 EDT
Also happens when I use “-smp 1”:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 1 -drive file=./Fedora-Live-KDE-x86_64-20-Beta-TC6.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-Live-KDE-x86_64-20-Beta-TC6.iso.qcow2-output.log -name Fedora-Live-KDE-x86_64-20-Beta-TC6.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-TC6/Fedora-Live-KDE-x86_64-20-Beta-TC6.iso -boot c -spice port=6001,disable-ticketing -vga qxl -display vnc=:5 -net nic -net user,hostname=Fedora-Live-KDE-x86_64-20-Beta-TC6.iso.qcow2,hostfwd=tcp::5557-:22 -monitor stdio -usb
Comment 6 Mike FABIAN 2015-04-21 03:25:38 EDT
This does not happen with Fedora-Live-Workstation-x86_64-22_Beta-3.iso
anymore.

Note You need to log in before you can comment on or make changes to this bug.